#ifndef ARC_STD_TEXT_H_
#define ARC_STD_TEXT_H_

#ifdef __cplusplus
extern "C" {
#endif

#include <stdint.h>
#include "arc/graphics/color.h"
#include "arc/graphics/renderer.h"
#include "arc/math/point.h"
#include "arc/std/string.h"

typedef struct ARC_Text ARC_Text;

void ARC_Text_Create(ARC_Text **text, ARC_String *path, int32_t size, ARC_Color color);

void ARC_Text_Destroy(ARC_Text *font);

void ARC_Text_SetString(ARC_Text *text, ARC_Renderer *renderer, ARC_String *string);

void ARC_Text_Render(ARC_Text *text, ARC_Renderer *renderer);

void ARC_Text_SetPos(ARC_Text *text, ARC_Point pos);

#ifdef __cplusplus
}
#endif

#endif //ARC_STD_STRING_H_